Skip to main content
GET
List Vacation Day Off Requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

employeeId
string<uuid>

The id of the employee

absencesValidator
string<uuid>

The id of the manager

fromDayOff
string<date>

First day of search period

toDayOff
string<date>

Last day of search period

updatedAt[gt]
string<date>

First updated date of search period

updatedAt[lt]
string<date>

Last updated date of search period

createdAt[gt]
string<date>

First created date of search period

createdAt[lt]
string<date>

Last created date of search period

status
enum<string>

Request status

Available options:
accepted,
rejected,
pending
page
integer

Request a specific page

limit
integer

Limit vacation requests

orderBy
string

field1 asc, field2 desc

Response

200 - application/json

Array of Objects

data
object[]
meta
object